Subject: Re: bug#52063: 28.0.60; Confusing presentation of lambda

From: Michael Heerdegen <[email-masked]>
Date: Thu, 25 Nov 2021 15:08:16 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> A closure has lexical binding inside itself, though, which lambdas do
> not have. [...]  (See code snippet that demonstrates the issue in an
> earlier post of mine.)

Oh - indeed.  Then those function values have fundamentally different
semantics when funcalled, and it's good that they are represented
differently.

My guess would be that the decision "can be translated into a lambda" in
the general case is either expensive or not even decidable.

Michael.